Bug 868880 - No --help page for katello-reset-dbs script in headpin
No --help page for katello-reset-dbs script in headpin
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Katello Bug Bin
Tazim Kolhar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 07:18 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 07:08:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-10-22 07:18:33 EDT
Description of problem:
No man page, --help for katello-reset-dbs script

Version-Release number of selected component (if applicable):

# man katello-reset-dbs
No manual entry for katello-reset-dbs
[root@hp-dc5800-01 script]# rpm -qa | grep katello
katello-selinux-1.1.2-1.el6.noarch
katello-cli-1.2.0-1.git.10.c749d42.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-1.2.0-1.git.44.0bd8ebe.el6.noarch
katello-common-1.2.1-1.git.2.10b2e82.el6.noarch
katello-headpin-all-1.2.1-1.git.2.10b2e82.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch
katello-glue-candlepin-1.2.1-1.git.2.10b2e82.el6.noarch
katello-cli-common-1.2.0-1.git.10.c749d42.el6.noarch
katello-headpin-1.2.1-1.git.2.10b2e82.el6.noarch

How reproducible:

yum install -y katello-headpin-all
katello-configure --deployment=headpin

Steps to Reproduce:
1.cd /usr/share/katello/script/
2.katello-reset-dbs --help
3.Help page displayed
  
Actual results:
A help page of katello-reset-dbs script is not displayed

Expected results:

A help page should be provided 

Additional info :
Comment 1 Miroslav Suchý 2012-10-31 07:08:33 EDT
This script should not be run by user (and therefore is not in /usr/bin) is is just helper for TAMs and GSS.
Fur such reason I do not think we should even provide man page. Short usage example for --help is provided for basic sanity.

Reopen if you disagree.

Note You need to log in before you can comment on or make changes to this bug.